Your search did not match any results.
Text Box

Text Box

The TextBox is a UI component that allows users to enter and edit a single line of text. This demo illustrates the following TextBox properties:

  • value
    A value the TextBox displays.

  • placeholder
    An input prompt the TextBox displays when the value is not defined.

  • showClearButton
    Specifies whether to display the button that clears the TextBox value.

  • mode
    Affects a set of keyboard characters displayed on a mobile device when the TextBox gets focus and modifies the component's display style. In this example, the mode is set to "password" so that entered characters are obscured, and the password cannot be read.

  • mask
    An input mask.

  • maskRules
    Custom mask rules.

  • disabled
    Specifies whether the TextBox responds to user interaction.

  • onValueChanged event handler
    Use this function to perform an action when a user enters a new value. In this demo, this function uses the entered value to construct a dummy email address and assign it to another TextBox.

  • valueChangeEvent
    One or several DOM events that trigger the onValueChanged event handler.

  • readOnly
    Prevents users from changing the editor's value.

  • hoverStateEnabled
    Specifies whether the TextBox responds when users long press or hover the mouse pointer over it.

Backend API
Copy to CodePen
Apply
Reset
$(() => { $('#simple').dxTextBox({ value: 'John Smith', }); $('#placeholder').dxTextBox({ placeholder: 'Enter full name here...', }); $('#clear-button').dxTextBox({ value: 'John Smith', showClearButton: true, }); $('#password').dxTextBox({ mode: 'password', placeholder: 'Enter password', showClearButton: true, value: 'f5lzKs0T', }); $('#mask').dxTextBox({ mask: '+1 (X00) 000-0000', maskRules: { X: /[02-9]/ }, }); $('#disabled').dxTextBox({ value: 'John Smith', disabled: true, }); $('#full-name').dxTextBox({ value: 'Smith', showClearButton: true, placeholder: 'Enter full name', valueChangeEvent: 'keyup', onValueChanged(data) { emailEditor.option('value', `${data.value.replace(/\s/g, '').toLowerCase()}@corp.com`); }, }); const emailEditor = $('#email').dxTextBox({ value: 'smith@corp.com', readOnly: true, hoverStateEnabled: false, }).dxTextBox('instance'); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.6/css/dx.light.css" /> <script src="https://cdn3.devexpress.com/jslib/22.2.6/js/dx.all.js"></script> <script src="index.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> </head> <body class="dx-viewport"> <div class="demo-container"> <div class="form"> <div class="dx-fieldset"> <div class="dx-field"> <div class="dx-field-label">Default mode</div> <div class="dx-field-value"> <div id="simple"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">With placeholder</div> <div class="dx-field-value"> <div id="placeholder"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">With clear button</div> <div class="dx-field-value"> <div id="clear-button"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Password mode</div> <div class="dx-field-value"> <div id="password"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Text mask</div> <div class="dx-field-value"> <div id="mask"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Disabled</div> <div class="dx-field-value"> <div id="disabled"></div> </div> </div> </div> <div class="dx-fieldset"> <div class="dx-fieldset-header">Events and API</div> <div class="dx-field"> <div class="dx-field-label">Full Name</div> <div class="dx-field-value"> <div id="full-name"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Email (read only)</div> <div class="dx-field-value"> <div id="email"></div> </div> </div> </div> </div> </div> </body> </html>

import React from 'react';
import TextBox from 'devextreme-react/text-box';
class App extends React.Component {
constructor(props) {
super(props);
this.state = {
emailValue: 'smith@corp.com',
};
this.rules = { X: /[02-9]/ };
this.valueChanged = this.valueChanged.bind(this);
}
valueChanged(data) {
this.setState({
emailValue: `${data.value.replace(/\s/g, '').toLowerCase()}@corp.com`,
});
}
render() {
return (
<div>
<div className="dx-fieldset">
<div className="dx-field">
<div className="dx-field-label">Default mode</div>
<div className="dx-field-value">
<TextBox defaultValue="John Smith" />
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">With placeholder</div>
<div className="dx-field-value">
<TextBox placeholder="Enter full name here..." />
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">With clear button</div>
<div className="dx-field-value">
<TextBox defaultValue="John Smith"
showClearButton={true} />
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Password mode</div>
<div className="dx-field-value">
<TextBox mode="password"
placeholder="Enter password"
showClearButton={true}
defaultValue="f5lzKs0T" />
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Text mask</div>
<div className="dx-field-value">
<TextBox mask="+1 (X00) 000-0000"
maskRules={this.rules} />
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Disabled</div>
<div className="dx-field-value">
<TextBox defaultValue="John Smith"
disabled={true} />
</div>
</div>
</div>
<div className="dx-fieldset">
<div className="dx-fieldset-header">Events and API</div>
<div className="dx-field">
<div className="dx-field-label">Full Name</div>
<div className="dx-field-value">
<TextBox defaultValue="Smith"
showClearButton={true}
placeholder="Enter full name"
valueChangeEvent="keyup"
onValueChanged={this.valueChanged} />
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Email (read only)</div>
<div className="dx-field-value">
<TextBox readOnly={true}
hoverStateEnabled={false}
value={this.state.emailValue} />
</div>
</div>
</div>
</div>
);
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
<link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme-react': 'npm:devextreme-react@22.2.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.18/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

DevExtreme v23.1 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.
Text Box

Text Box

The TextBox is a UI component that allows users to enter and edit a single line of text. This demo illustrates the following TextBox properties:

  • value
    A value the TextBox displays.

  • placeholder
    An input prompt the TextBox displays when the value is not defined.

  • showClearButton
    Specifies whether to display the button that clears the TextBox value.

  • mode
    Affects a set of keyboard characters displayed on a mobile device when the TextBox gets focus and modifies the component's display style. In this example, the mode is set to "password" so that entered characters are obscured, and the password cannot be read.

  • mask
    An input mask.

  • maskRules
    Custom mask rules.

  • disabled
    Specifies whether the TextBox responds to user interaction.

  • onValueChanged event handler
    Use this function to perform an action when a user enters a new value. In this demo, this function uses the entered value to construct a dummy email address and assign it to another TextBox.

  • valueChangeEvent
    One or several DOM events that trigger the onValueChanged event handler.

  • readOnly
    Prevents users from changing the editor's value.

  • hoverStateEnabled
    Specifies whether the TextBox responds when users long press or hover the mouse pointer over it.

Backend API
Copy to CodeSandBox
Apply
Reset
<template> <div class="form"> <div class="dx-fieldset"> <div class="dx-field"> <div class="dx-field-label">Default mode</div> <div class="dx-field-value"> <DxTextBox value="John Smith" :input-attr="{ 'aria-label': 'Name' }" /> </div> </div> <div class="dx-field"> <div class="dx-field-label">With placeholder</div> <div class="dx-field-value"> <DxTextBox placeholder="Enter full name here..." :input-attr="{ 'aria-label': 'Full Name' }" /> </div> </div> <div class="dx-field"> <div class="dx-field-label">With clear button</div> <div class="dx-field-value"> <DxTextBox :show-clear-button="true" :input-attr="{ 'aria-label': 'Name' }" value="John Smith" /> </div> </div> <div class="dx-field"> <div class="dx-field-label">Password mode</div> <div class="dx-field-value"> <DxTextBox :show-clear-button="true" mode="password" :input-attr="{ 'aria-label': 'Password' }" placeholder="Enter password" value="f5lzKs0T" /> </div> </div> <div class="dx-field"> <div class="dx-field-label">Text mask</div> <div class="dx-field-value"> <DxTextBox :mask-rules="rules" :input-attr="{ 'aria-label': 'Mask' }" mask="+1 (X00) 000-0000" /> </div> </div> <div class="dx-field"> <div class="dx-field-label">Disabled</div> <div class="dx-field-value"> <DxTextBox :disabled="true" :input-attr="{ 'aria-label': 'Name' }" value="John Smith" /> </div> </div> </div> <div class="dx-fieldset"> <div class="dx-fieldset-header">Events and API</div> <div class="dx-field"> <div class="dx-field-label">Full Name</div> <div class="dx-field-value"> <DxTextBox :show-clear-button="true" value="Smith" :input-attr="{ 'aria-label': 'Full Name' }" placeholder="Enter full name" value-change-event="keyup" @value-changed="valueChanged" /> </div> </div> <div class="dx-field"> <div class="dx-field-label">Email (read only)</div> <div class="dx-field-value"> <DxTextBox :read-only="true" :input-attr="{ 'aria-label': 'Email' }" :hover-state-enabled="false" :value="emailValue" /> </div> </div> </div> </div> </template> <script setup lang="ts"> import { ref } from 'vue'; import DxTextBox from 'devextreme-vue/text-box'; const emailValue = ref('smith@corp.com'); const rules = { X: /[02-9]/ }; function valueChanged(data) { emailValue.value = `${data.value.replace(/\s/g, '').toLowerCase()}@corp.com`; } </script>
import { createApp } from 'vue'; import App from './App.vue'; createApp(App).mount('#app');
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" /> <script type="module"> import * as vueCompilerSFC from "https://unpkg.com/@vue/compiler-sfc@3.3.4/dist/compiler-sfc.esm-browser.js"; window.vueCompilerSFC = vueCompilerSFC; </script> <script src="https://unpkg.com/typescript@3.9.10/lib/typescript.js"></script> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.js"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"> </div> </div> </body> </html>
window.config = { transpiler: 'plugin-babel', meta: { '*.vue': { loader: 'vue-loader', }, '*.ts': { loader: 'demo-ts-loader', }, '*.svg': { loader: 'svg-loader', }, 'devextreme/localization.js': { 'esModule': true, }, }, paths: { 'root:': '../../../../../', 'npm:': 'https://unpkg.com/', }, map: { 'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js', 'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js', 'demo-ts-loader': 'root:utils/demo-ts-loader.js', 'svg-loader': 'root:utils/svg-loader.js', 'mitt': 'npm:mitt/dist/mitt.umd.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@23.1.5/cjs', 'devextreme-vue': 'npm:devextreme-vue@23.1.5', 'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.1/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.48/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'devextreme-vue': { main: 'index.js', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.11/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, }, }; System.config(window.config);

<div class="form">
<div class="dx-fieldset">
<div class="dx-field">
<div class="dx-field-label">Default mode</div>
<div class="dx-field-value">
<dx-text-box value="John Smith"></dx-text-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">With placeholder</div>
<div class="dx-field-value">
<dx-text-box placeholder="Enter full name here..."></dx-text-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">With clear button</div>
<div class="dx-field-value">
<dx-text-box value="John Smith" [showClearButton]="true">
</dx-text-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Password mode</div>
<div class="dx-field-value">
<dx-text-box
mode="password"
placeholder="Enter password"
[showClearButton]="true"
value="f5lzKs0T"
></dx-text-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Text mask</div>
<div class="dx-field-value">
<dx-text-box mask="+1 (X00) 000-0000" [maskRules]="rules">
</dx-text-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Disabled</div>
<div class="dx-field-value">
<dx-text-box value="John Smith" [disabled]="true">
</dx-text-box>
</div>
</div>
</div>
<div class="dx-fieldset">
<div class="dx-fieldset-header">Events and API</div>
<div class="dx-field">
<div class="dx-field-label">Full Name</div>
<div class="dx-field-value">
<dx-text-box
value="Smith"
[showClearButton]="true"
placeholder="Enter full name"
valueChangeEvent="keyup"
(onValueChanged)="valueChanged($event)"
></dx-text-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Email (read only)</div>
<div class="dx-field-value">
<dx-text-box
[readOnly]="true"
[hoverStateEnabled]="false"
[(value)]="emailValue"
></dx-text-box>
</div>
</div>
</div>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxTextBoxModule } from 'devextreme-angular';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
styleUrls: ['app/app.component.css'],
selector: 'demo-app',
templateUrl: 'app/app.component.html'
})
export class AppComponent {
emailValue: string;
rules: any;
constructor() {
this.emailValue = 'smith@corp.com';
this.rules = { "X": /[02-9]/ };
}
valueChanged(data) {
this.emailValue = data.value.replace(/\s/g, "").toLowerCase() + "@corp.com";
}
}
@NgModule({
imports: [
BrowserModule,
DxTextBoxModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.0.3/tslib.js',
'rxjs': 'npm:rxjs@6.3.3',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.4',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.7/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.5',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.8',
'devextreme-angular': 'npm:devextreme-angular@20.2.4',
'preact': 'npm:preact@10.5.7/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.7/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>